xfce4-cpufreq-plugin (1.2.8-2build3) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 May 2025 12:20:42 +0200

xfce4-cpufreq-plugin (1.2.8-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:38:59 +1100

xfce4-cpufreq-plugin (1.2.8-2build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 08:10:43 +0000

xfce4-cpufreq-plugin (1.2.8-2) unstable; urgency=medium

  * d/control: drop build-dep on libcpufreq-dev
  * d/control: update standards version to 4.6.2

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 05 Sep 2023 22:41:44 +0200

xfce4-cpufreq-plugin (1.2.8-1) unstable; urgency=medium

  * Team upload.

  [ Akbarkhon Variskhanov ]
  * New upstream version 1.2.8
  * debian/copyright: Update Upstream-Contact & Source
  * debian/rules:
    - Use execute_after_dh_auto_install
    - Install full upstream NEWS file
  * debian/control: Bump Standards-Version to 4.6.1
  * debian/docs: Add AUTHORS
  * Add upstream metadata

  [ Unit 193 ]
  * d/control: Bump B-D version constraint for libxfce4util-dev to 4.17.2.

 -- Akbarkhon Variskhanov <akbarkhon.variskhanov@gmail.com>  Sun, 18 Dec 2022 15:56:47 +0500

xfce4-cpufreq-plugin (1.2.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.2.7.
  * d/docs: Follow rename, README → README.md.
  * d/rules: Add -lpthread to LDFLAGS, drop --as-needed.
  * Update Standards-Version to 4.6.0.

 -- Unit 193 <unit193@debian.org>  Tue, 15 Feb 2022 14:21:40 -0500

xfce4-cpufreq-plugin (1.2.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.2.5.
  * d/control: Bump DH compat to 13.
  * d/rules: Drop autoreconf workaround.

 -- Unit 193 <unit193@debian.org>  Mon, 16 Aug 2021 17:28:27 -0400

xfce4-cpufreq-plugin (1.2.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.2.4.

 -- Unit 193 <unit193@debian.org>  Thu, 04 Feb 2021 17:34:31 -0500

xfce4-cpufreq-plugin (1.2.3-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Apply multi-arch hints. + xfce4-cpufreq-plugin: Add Multi-Arch: same.

  [ Unit 193 ]
  * New upstream version 1.2.3.
  * Update Standards-Version to 4.5.1.

 -- Unit 193 <unit193@debian.org>  Tue, 12 Jan 2021 20:15:14 -0500

xfce4-cpufreq-plugin (1.2.2-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.

  [ Unit 193 ]
  * d/watch: Use uscan special strings.
  * New upstream version 1.2.2.
    - Fix compilation with gcc-10 (Closes: #957979)
  * d/control:
    - R³: no.
    - Add homepage field.
  * d/dirs: Drop, no longer needed.
  * Update Standards-Version to 4.5.0.

 -- Unit 193 <unit193@debian.org>  Thu, 15 Oct 2020 18:17:22 -0400

xfce4-cpufreq-plugin (1.2.1-1) unstable; urgency=medium

  * New upstream version 1.2.1

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 23 Sep 2018 16:16:00 +0200

xfce4-cpufreq-plugin (1.2.0-1) unstable; urgency=medium

  * Moved the package to git on salsa.debian.org
  * Updated the maintainer address to debian-xfce@lists.debian.org
  * d/gbp.conf added, following DEP-14
  * New upstream version 1.2.0
    - use sysfs instead of Intel pstate.                        closes: #885458
  * run wrap-and-sort
  * d/control: drop Lionel from uploaders, thanks!
  * d/control: replace GTK2 b-p by GTK3
  * d/control: replace libxfce4ui-1-dev by libxfce4ui-2-dev
  * d/control: replace xfce4-panel-dev b-dp by libxfce4panel-2.0-dev
  * d/compat bumped to 10
  * d/rules: drop configure override, not needed with dh10
  * d/rules: stop overriding auto_clean, not needed anymore
  * d/rules: create m4 folder before autoreconf
  * d/copyright updated

 -- Yves-Alexis Perez <corsac@debian.org>  Thu, 24 May 2018 21:04:07 +0200

xfce4-cpufreq-plugin (1.1.3-1) unstable; urgency=medium

  [ Mateusz Łukasik ]
  * New upstream release.
  * debian/control:
    - Update standards version to 3.9.8.
    - Use secured link for Vcs-Browser.
  * debian/watch:
    - Bump to version 4.

 -- Yves-Alexis Perez <corsac@debian.org>  Fri, 07 Oct 2016 08:40:59 +0200

xfce4-cpufreq-plugin (1.1.2-1) unstable; urgency=medium

  [ Mateusz Łukasik ]
  * New upstream release.

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 27 Jun 2015 15:05:07 +0200

xfce4-cpufreq-plugin (1.1.1-1) unstable; urgency=medium

  [ Mateusz Łukasik ]
  * New upstream release.
  * debian/control:
    - update standards version to 3.9.6.

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 06 May 2015 21:27:07 +0200

xfce4-cpufreq-plugin (1.1.0-1) unstable; urgency=low

  [ Lionel Le Folgoc ]
  * Port from libxfcegui4 to libxfce4ui:
    - debian/patches/03_port-to-libxfce4ui.patch: added.
    - debian/control: replace libxfcegui4-dev build-dep with libxfce4ui-1-dev.
  * debian/rules:
    - call xdt-autogen after patching
    - clean up autogenerated files modified by xdt-autogen.
  * debian/control:
    - add build-dep on xfce4-dev-tools and libtool in order to run xdt-autogen
      after patching.

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org

  [ Yves-Alexis Perez ]
  * New upstream release.
    - add support for pstate driver.                            closes: #721373
  * debian/patches:
    - 01_try-fix-ftbfs-bsd removed, included upstream.
    - 02_refresh-selected-core removed as well.
    - 03_port-to-libxfce4ui removed too, finally.
  * debian/rules:
    - create and remove m4 folder for xdt-autogen.
    - don't install .la files
    - ignore plugin in dh_makeshlibs call.
  * debian/control:
    - update standards version to 3.9.4.

 -- Yves-Alexis Perez <corsac@debian.org>  Fri, 06 Sep 2013 21:51:56 +0200

xfce4-cpufreq-plugin (1.0.0-5) unstable; urgency=low

  [ Lionel Le Folgoc ]
  * debian/patches: add missing DEP3 headers.

  [ Yves-Alexis Perez ]
  * debian/rules:
    - switch to dh with hardening support.
  * debian/compat bumped to 9.
  * debian/control:
    - update debhelper build dep to 9.
    - drop versionned depends on xfce4-panel, stable is recent enough.
    - update standards version to 3.9.3.
  * debian/xfce4-cpufreq-plugin.lintian-overrides added, ignore
    hardening-no-fortify-functions since we do use hardening flags.

 -- Yves-Alexis Perez <corsac@debian.org>  Thu, 23 May 2013 23:33:04 +0200

xfce4-cpufreq-plugin (1.0.0-4) unstable; urgency=low

  * debian/patches:
    - 02_refresh-selected-core.patch: added, refresh the core selected in the
      config, instead of refreshing all of them and unconditionally displaying
      the last one.                                             Closes: #655028

 -- Lionel Le Folgoc <mrpouit@gmail.com>  Mon, 23 Jan 2012 15:57:46 +0100

xfce4-cpufreq-plugin (1.0.0-3) unstable; urgency=low

  * debian/patches:
    - 01_try-fix-ftbfs-bsd added.                               closes: #621818
  * debian/control:
    - update standards version to 3.9.2.

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 25 Apr 2011 12:36:17 +0200

xfce4-cpufreq-plugin (1.0.0-2) unstable; urgency=low

  * Upload to unstable.
  * debian/control:
    - remove Emanuele, Simon, Rudy, Martin and Stefan from uploaders, thanks to
    them.
    - update Xfce build-dep to 4.8.
    - drop cdbs build-dep.

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 19 Apr 2011 22:50:48 +0200

xfce4-cpufreq-plugin (1.0.0-1) experimental; urgency=low

  [ Yves-Alexis Perez ]
  New upstream release.
  * debian/rules:
    - switch to dh7 tiny rules
    - pick {C,LD}FLAGS from dpkg-buildflags.
    - add -Wl,-z,defs -Wl,--as-needed to LDFLAGS.
    - add hardening flags to {C,LD}FLAGS}.
  * debian/control:
    - update dh build dep to 7.0.50~ for overrides.
    - add build-dep on libxfcegui4-dev.
    - update standards version to 3.9.1.
    - switch to xfce section.
  * Switch to 3.0 (quilt)_source format.
  * debian/patches:
    - all patches dropped for new upstream.
  * debian/watch added.
  * debian/copyright updated and switch to DEP5 format.

  [ Lionel Le Folgoc ]
  * debian/control: add missing ${misc:Depends}.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 27 Feb 2011 14:35:51 +0100

xfce4-cpufreq-plugin (0.2-3) unstable; urgency=low

  [ Stefan Ott ]
  * debian/control: update e-mail address

  [ Evgeni Golov ]
  * Fix Vcs-* fields, they were missing 'trunk' in the path.

  [ Yves-Alexis Perez ]
  * debian/watch edited to track Xfce archive reorganisation.
  * debian/compat bumped to 7.
  * debian/control:
    - update standards version to 3.8.2.
    - update debhelper build-dep to 7.

  [ Lionel Le Folgoc ]
  * debian/patches/03_fix-segfault-on-exit.patch: use expected function
    signature for the "free-data" callback.         lp: #86317, closes: #505175
  * debian/control: add myself to Uploaders.

 -- Lionel Le Folgoc <mrpouit@gmail.com>  Tue, 16 Feb 2010 22:54:36 +0100

xfce4-cpufreq-plugin (0.2-2) unstable; urgency=low

  [ Yves-Alexis Perez ]
  * debian/control:
    - updated standards version to 3.7.3.
    - updated my email address.
    - drop dpatch build-dep, useless.
    - add needed build-dep on intltool.
  * debian/patches:
    - 02_ja.po added, add japanese translation.                 closes: #475914
  * debian/copyright: updated dates and copyright holders.

  [ Simon Huggins ]
  * Add Vcs-* headers to debian/control

  [ Stefan Ott]
  * Add patch to always show frequency in GHz 			 closes:#474330

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 14 Apr 2008 22:13:14 +0200

xfce4-cpufreq-plugin (0.2-1) unstable; urgency=low

  * (Yves-Alexis Perez)
    - New upstream release, ported to 4.4 panel                  closes:#370114
    - Switch from dpatch to simple-patchsys in debian/rules
  * (Stefan Ott)
    - Updated URL in copyright file

 -- Yves-Alexis Perez <corsac@corsac.net>  Wed, 26 Jul 2006 17:28:02 +0100

xfce4-cpufreq-plugin (0.1-2) unstable; urgency=low

  * Added progressbar-size patch to match other panel plugins' style

 -- Stefan Ott <stefan@desire.ch>  Sun, 29 Jan 2006 19:07:28 +0100

xfce4-cpufreq-plugin (0.1-1) unstable; urgency=low

  * Initial release (Closes: #331325)

 -- Stefan Ott <stefan@desire.ch>  Sun, 06 Nov 2005 21:08:11 +0100
